using Microsoft.AspNetCore.Mvc;
using Swashbuckle.AspNetCore.Annotations;

namespace AcaMate.V1.Controllers;

[ApiController]
[Route("v1/in/push")]
[ApiExplorerSettings(GroupName = "공통")]
public class PushController: ControllerBase
{
    [HttpGet()]
    [CustomOperation("푸시 확인","저장된 양식을 확인 할 수 있다..", "푸시")]
    public IActionResult GetPushData()
    {
        return Ok("SEND");
    }
    
    [HttpGet("send")]
    [CustomOperation("푸시전송","저장된 양식으로, 사용자에게 푸시를 전송한다.", "푸시")]
    public IActionResult SendPush()
    {
        return Ok("SEND");
    }
}